<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Crazyflie plugin for ARGoS: src/plugins/robots/crazyflie/simulator/crazyflie_battery_equipped_entity.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Crazyflie plugin for ARGoS
   </div>
   <div id="projectbrief">ADARS project -- PCOG / SnT / University of Luxembourg</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li><li class="navelem"><a class="el" href="dir_7020b8b7abcceffa3f9f7a2d24718f16.html">plugins</a></li><li class="navelem"><a class="el" href="dir_57fbab4b29583c403f1efb5284ea3eb3.html">robots</a></li><li class="navelem"><a class="el" href="dir_82540c9fcfb987b606f5fb531cb7ce0a.html">crazyflie</a></li><li class="navelem"><a class="el" href="dir_8f67be75dbc917b3ef586b0672f32ede.html">simulator</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#namespaces">Namespaces</a> &#124;
<a href="#define-members">Macros</a>  </div>
  <div class="headertitle">
<div class="title">crazyflie_battery_equipped_entity.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;argos3/core/utility/math/vector3.h&gt;</code><br />
<code>#include &lt;argos3/core/simulator/entity/entity.h&gt;</code><br />
<code>#include &lt;argos3/core/simulator/entity/embodied_entity.h&gt;</code><br />
<code>#include &lt;map&gt;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for crazyflie_battery_equipped_entity.h:</div>
<div class="dyncontent">
<div class="center"><img src="crazyflie__battery__equipped__entity_8h__incl.png" border="0" usemap="#asrc_2plugins_2robots_2crazyflie_2simulator_2crazyflie__battery__equipped__entity_8h" alt=""/></div>
<map name="asrc_2plugins_2robots_2crazyflie_2simulator_2crazyflie__battery__equipped__entity_8h" id="asrc_2plugins_2robots_2crazyflie_2simulator_2crazyflie__battery__equipped__entity_8h">
<area shape="rect" title=" " alt="" coords="228,5,409,76"/>
<area shape="rect" title=" " alt="" coords="5,124,131,165"/>
<area shape="rect" title=" " alt="" coords="155,124,301,165"/>
<area shape="rect" title=" " alt="" coords="326,124,493,165"/>
<area shape="rect" title=" " alt="" coords="517,131,563,158"/>
</map>
</div>
</div><div class="textblock"><div class="dynheader">
This graph shows which files directly or indirectly include this file:</div>
<div class="dyncontent">
<div class="center"><img src="crazyflie__battery__equipped__entity_8h__dep__incl.png" border="0" usemap="#asrc_2plugins_2robots_2crazyflie_2simulator_2crazyflie__battery__equipped__entity_8hdep" alt=""/></div>
<map name="asrc_2plugins_2robots_2crazyflie_2simulator_2crazyflie__battery__equipped__entity_8hdep" id="asrc_2plugins_2robots_2crazyflie_2simulator_2crazyflie__battery__equipped__entity_8hdep">
<area shape="rect" title=" " alt="" coords="197,5,379,76"/>
<area shape="rect" href="crazyflie__battery__default__sensor_8cpp.html" title=" " alt="" coords="5,124,173,195"/>
<area shape="rect" href="crazyflie__battery__equipped__entity_8cpp.html" title=" " alt="" coords="197,124,379,195"/>
<area shape="rect" href="crazyflie__entity_8cpp.html" title=" " alt="" coords="403,131,541,187"/>
</map>
</div>
</div>
<p><a href="crazyflie__battery__equipped__entity_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classargos_1_1CCrazyflieBatteryEquippedEntity.html">argos::CCrazyflieBatteryEquippedEntity</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespaceargos"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceargos.html">argos</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:a0124d2451652ec54e54d9da9eca606c9"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="crazyflie__battery__equipped__entity_8h.html#a0124d2451652ec54e54d9da9eca606c9">CF_BATTERY_A</a>&#160;&#160;&#160;-2.347383e-08</td></tr>
<tr class="separator:a0124d2451652ec54e54d9da9eca606c9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab5c93414bf1f2e814b417b6e0d3e37ff"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="crazyflie__battery__equipped__entity_8h.html#ab5c93414bf1f2e814b417b6e0d3e37ff">CF_BATTERY_B</a>&#160;&#160;&#160;1.582833e-05</td></tr>
<tr class="separator:ab5c93414bf1f2e814b417b6e0d3e37ff"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad4735a4094ceb97e2ab3fd3a585dc666"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="crazyflie__battery__equipped__entity_8h.html#ad4735a4094ceb97e2ab3fd3a585dc666">CF_BATTERY_C</a>&#160;&#160;&#160;-4.506692e-03</td></tr>
<tr class="separator:ad4735a4094ceb97e2ab3fd3a585dc666"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abee8221b53c093fc7055918759b499f9"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="crazyflie__battery__equipped__entity_8h.html#abee8221b53c093fc7055918759b499f9">CF_BATTERY_D</a>&#160;&#160;&#160;1.009061</td></tr>
<tr class="separator:abee8221b53c093fc7055918759b499f9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aefb7b2890765f80a116b60422649ddad"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="crazyflie__battery__equipped__entity_8h.html#aefb7b2890765f80a116b60422649ddad">CF_BATTERY_MAX_T</a>&#160;&#160;&#160;427.21</td></tr>
<tr class="separator:aefb7b2890765f80a116b60422649ddad"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Macro Definition Documentation</h2>
<a id="a0124d2451652ec54e54d9da9eca606c9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0124d2451652ec54e54d9da9eca606c9">&#9670;&nbsp;</a></span>CF_BATTERY_A</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define CF_BATTERY_A&#160;&#160;&#160;-2.347383e-08</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ab5c93414bf1f2e814b417b6e0d3e37ff"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab5c93414bf1f2e814b417b6e0d3e37ff">&#9670;&nbsp;</a></span>CF_BATTERY_B</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define CF_BATTERY_B&#160;&#160;&#160;1.582833e-05</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ad4735a4094ceb97e2ab3fd3a585dc666"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad4735a4094ceb97e2ab3fd3a585dc666">&#9670;&nbsp;</a></span>CF_BATTERY_C</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define CF_BATTERY_C&#160;&#160;&#160;-4.506692e-03</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="abee8221b53c093fc7055918759b499f9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abee8221b53c093fc7055918759b499f9">&#9670;&nbsp;</a></span>CF_BATTERY_D</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define CF_BATTERY_D&#160;&#160;&#160;1.009061</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aefb7b2890765f80a116b60422649ddad"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aefb7b2890765f80a116b60422649ddad">&#9670;&nbsp;</a></span>CF_BATTERY_MAX_T</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define CF_BATTERY_MAX_T&#160;&#160;&#160;427.21</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1
</small></address>
</body>
</html>
